<template>
  <v-row class="pt-2">
    <v-col>
      <v-card outlined class="panel">
        <v-card-title> Ditari i Arkes/Bankes: {{ bankName }} </v-card-title>
        <v-data-table
          :items="bankHistory"
          :headers="headers"
          :loading="loading"
        >
          <template v-slot:item="row">
            <tr>
              <td>{{ row.item.amount }}</td>
              <td>{{ row.item.currency }}</td>
              <td>{{ row.item.exchange_rate }}</td>
              <td>{{ row.item.document_type }}</td>
              <td>{{ row.item.payment_method }}</td>
              <td>{{ row.item.notes }}</td>
              <td>{{ row.item.date }}</td>
              <td>{{ row.item.user }}</td>
              <td></td>
            </tr>
          </template>
        </v-data-table>
        <portal to="destination">
          <div class="portal-wrapper">
            <h3>
              <f-back-btn back :route="backRoute" />
              Bankat |
              <p class="faded">Ditari i Arkes/Bankes: {{ bankName }}</p>
            </h3>
          </div>
        </portal>
      </v-card>
    </v-col>
  </v-row>
</template>

<script lang="ts">
import api from '../../../plugins/api'
import { Mixins, Component } from 'vue-property-decorator'
import Table from '@/plugins/table'
import FBackBtn from '@/components/buttons/FBackBtn.vue'

const datatableHeaders = [
  { text: 'Shuma', value: 'amount', class: 'grey lighten-4' },
  { text: 'Monedha', value: 'currency', class: 'grey lighten-4' },
  { text: 'Kembimi Valutor', value: 'exchange_rate', class: 'grey lighten-4' },
  {
    text: 'Tipi i Dokumentit',
    value: 'document_type',
    class: 'grey lighten-4',
  },
  {
    text: 'Metoda e Pageses',
    value: 'payment_method',
    class: 'grey lighten-4',
  },
  { text: 'Shenime', value: 'notes', class: 'grey lighten-4' },
  { text: 'Data', value: 'date', class: 'grey lighten-4' },
  { text: 'Perdoruesi', value: 'user', class: 'grey lighten-4' },
]
@Component({
  components: { FBackBtn },
})
export default class BankDiaryDataTable extends Mixins(Table) {
  loading = false
  bankHistory?: object[] = []
  headers = datatableHeaders
  bankId = this.$route.params.bankId
  bankName = this.$route.params.bankName
  backRoute = 'BanksIndex'
  close() {
    this.$router.go(-1)
  }
  fetchData() {
    this.loading = true
    api()
      .get(`/api/account-management/banks/history/${this.bankId}`)
      .then(response => {
        this.bankHistory = response.data.data
      })
      .catch(error => {
        console.log(error)
      })
      .finally(() => {
        this.loading = false
      })
  }
  mounted() {
    this.fetchData()
  }
}
</script>
<style scoped>
.faded {
  display: inline;
  color: gray;
}
</style>
